Skip to main content
GET
/
preview
/
marketing-solutions
/
ads
/
{ad-id}
/
audience-segment
/preview/marketing-solutions/ads/{ad-id}/audience-segment
curl --request GET \
  --url https://api.criteo.com/preview/marketing-solutions/ads/{ad-id}/audience-segment \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "adId": "<string>",
      "audienceSegmentId": "<string>"
    },
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

ad-id
string<int32>
required

The ad identifier.

Response

200 - application/json

The found ad audience segment link is returned.

A top-level object that encapsulates a Criteo API response for a single value.

data
object

A top-level object that encapsulates a Criteo API response for a single value.

errors
object[] | null
read-only
warnings
object[] | null
read-only